;;; init.el -- Fschl Crafted Emacs user customization file -*- lexical-binding: t; -*-
;; This file is generated from the .org-file with the same name. If you want to edit the
;; configuration, DO NOT edit this .el-file, edit .org, instead.

(setq user-emacs-directory "~/.config/emacs/")
(setq crafted-emacs-home (expand-file-name "crafted-emacs/" user-emacs-directory))
(setq custom-file (expand-file-name "custom.el" user-emacs-directory))
(when (and custom-file
           (file-exists-p custom-file))
  (load custom-file nil :nomessage))

(load (expand-file-name "modules/crafted-init-config" crafted-emacs-home))

(require 'crafted-completion-packages)
(require 'crafted-evil-packages)
(require 'crafted-org-packages)
(require 'crafted-ui-packages)
(require 'crafted-ide-packages)
(require 'crafted-writing-packages)

(package-install-selected-packages :noconfirm)

(require 'crafted-defaults-config)
(require 'crafted-startup-config)
(require 'crafted-completion-config)
(require 'crafted-evil-config)
(require 'crafted-org-config)
(require 'crafted-ui-config)
(require 'crafted-ide-config)
(require 'crafted-writing-config)

(unless crafted-startup-inhibit-splash
  (setq initial-buffer-choice #'crafted-startup-screen))

(keymap-global-unset "M-#")

(define-key global-map (kbd "s-b") 'switch-to-buffer)
(define-key global-map (kbd "s-w") 'kill-current-buffer)
(define-key global-map (kbd "s-W") 'kill-buffer-and-window)
(define-key global-map (kbd "s-o") 'other-window)
(define-key global-map (kbd "C-z") nil)

(defvar fschl-org-file (expand-file-name "fschl-org.el" user-emacs-directory))
(when (and fschl-org-file
           (file-exists-p fschl-org-file))
  (load fschl-org-file nil :nomessage))

(defvar fschl-ide-file (expand-file-name "fschl-ide.el" user-emacs-directory))
(when (and fschl-ide-file
           (file-exists-p fschl-ide-file))
  (load fschl-ide-file nil :nomessage))
